Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

can no longer connect to https://training.sap.com. last time tried in december and was able to. clearing cache did not solve

  • 4 replies
  • 3 have this problem
  • 22 views
  • Last reply by ideato

more options

it appears that one of the recent Firefox upgrades has broken my ability to connect to this website. I have seen no other issues with any other https urls. When connecting with a new browser instance initially get "Secure Connection failed ... client downgraded to lower TLS version than the server supports", followed thereafter by "The connection was interrupted" message. Clearing the cache does nothing, turning off the firewall (Bitdefender) did nothing, deleting the Firefox rule in firewall did nothing, cannot find any TLS settings in Firefox (35.0.1). Am I now screwed?

All Replies (4)

more options

Hello mikewho, try to reboot of the system and see if that helps, it is solution to the same issues :

https://support.mozilla.org/en-US/questions/1041886#answer-678969

https://support.mozilla.org/en-US/questions/1043677#answer-683087

yes it is crazy !!!


thank you

more options

Thank you ideato, unfortunately I have rebooted several times before, during and after clearing the cache, tweaking bitdefender etc, and still no luck. I'll study those threads and see if adjusting the TSL setting does anything.

more options

Setting Firefox's security.tls.version.max from 3 down to 2 allows this page to load.

more options

Probably the site needs that specific protocol version, if you have not problems with others sites then you are ok. :-)

thanks